%define module_name Term-Caca
%add_findreq_skiplist %perl_vendor_archlib/Term/*a/Constants.pm
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/caca-config perl(Alien/caca.pm) perl(Carp.pm) perl(Exporter.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(FFI/Platypus.pm) perl(FFI/Platypus/Memory.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Moo.pm) perl(MooseX/MungeHas.pm) perl(Path/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm) perl(constant.pm) perl(experimental.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.1.0
Release: alt4
Summary: perl interface for libcaca (Colour AsCii Art library)
Group: Development/Perl
License: unrestricted
URL: https://github.com/yanick/Term-Caca

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTORS Changes README.mkdn TODO LICENSE CODE_OF_CONDUCT.md examples
%perl_vendor_autolib/*
%perl_vendor_privlib/T*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 3.1.0-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 3.1.0-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.1.0-alt2
- rebuild with perl 5.30

* Fri Jun 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.1.0-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt4
- rebuild with perl 5.26

* Tue Feb 14 2017 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt2
- rebuild to get rid of unmets

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1
- initial import by package builder

